package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceSimGoodsDto;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * sim卡商品 服务类
 * </p>
 *
 * @author 谭斌
 * @since 2024-04-03
 */
@RestMappingController("/device-sim-goods")
public interface DeviceSimGoodsService {
    @PostMapping("obj")
    R<DeviceSimGoodsDto.Vo> obj(@RequestBody DeviceSimGoodsDto.Vo vo);

    @PostMapping("list")
    R<List<DeviceSimGoodsDto.Vo>> list(@RequestBody DeviceSimGoodsDto.SelectList selectList);
}
